import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { CpOrder } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface CpOrderCU extends ConditionUtil<CpOrderCU> {
    ID: FieldUtil<CpOrderCU>;
    USER_ID: FieldUtil<CpOrderCU>;
    ORDER_NO: FieldUtil<CpOrderCU>;
    TRADE_ID: FieldUtil<CpOrderCU>;
    PARK_ORDER_NO: FieldUtil<CpOrderCU>;
    PARK_ID: FieldUtil<CpOrderCU>;
    PLATE_NO: FieldUtil<CpOrderCU>;
    CARD_NO: FieldUtil<CpOrderCU>;
    PARK_NAME: FieldUtil<CpOrderCU>;
    ENTRY_TIME: FieldUtil<CpOrderCU>;
    PAY_TIME: FieldUtil<CpOrderCU>;
    ELAPSED_TIME: FieldUtil<CpOrderCU>;
    TOTAL_AMOUNT: FieldUtil<CpOrderCU>;
    PAYABLE: FieldUtil<CpOrderCU>;
    DELAY_TIME: FieldUtil<CpOrderCU>;
    IMG_NAME: FieldUtil<CpOrderCU>;
    IMG_TYPE: FieldUtil<CpOrderCU>;
    IMG_INFO: FieldUtil<CpOrderCU>;
    CAR_TYPE: FieldUtil<CpOrderCU>;
    CAR_STYLE: FieldUtil<CpOrderCU>;
    CURRENCY_CODE: FieldUtil<CpOrderCU>;
    ORDER_TITLE: FieldUtil<CpOrderCU>;
    ORDER_DESC: FieldUtil<CpOrderCU>;
    TRAFFIC_ID: FieldUtil<CpOrderCU>;
    PAY_STATUS: FieldUtil<CpOrderCU>;
    BIZ_STATUS: FieldUtil<CpOrderCU>;
    EXT_JSON: FieldUtil<CpOrderCU>;
    REMARK: FieldUtil<CpOrderCU>;
    STATE: FieldUtil<CpOrderCU>;
    CREATE_TIME: FieldUtil<CpOrderCU>;
    UPDATE_TIME: FieldUtil<CpOrderCU>;
    DEDUCTION_AMOUNT: FieldUtil<CpOrderCU>;
    PAID_AMOUNT: FieldUtil<CpOrderCU>;
    OUT_ORDER_NO: FieldUtil<CpOrderCU>;
    ERROR_INFO: FieldUtil<CpOrderCU>;
}
declare class CpOrderMU extends TableUtilImpl<CpOrderCU, CpOrder> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): CpOrderCU;
    static get ID(): FieldUtil<CpOrderCU>;
    static get USER_ID(): FieldUtil<CpOrderCU>;
    static get ORDER_NO(): FieldUtil<CpOrderCU>;
    static get TRADE_ID(): FieldUtil<CpOrderCU>;
    static get PARK_ORDER_NO(): FieldUtil<CpOrderCU>;
    static get PARK_ID(): FieldUtil<CpOrderCU>;
    static get PLATE_NO(): FieldUtil<CpOrderCU>;
    static get CARD_NO(): FieldUtil<CpOrderCU>;
    static get PARK_NAME(): FieldUtil<CpOrderCU>;
    static get ENTRY_TIME(): FieldUtil<CpOrderCU>;
    static get PAY_TIME(): FieldUtil<CpOrderCU>;
    static get ELAPSED_TIME(): FieldUtil<CpOrderCU>;
    static get TOTAL_AMOUNT(): FieldUtil<CpOrderCU>;
    static get PAYABLE(): FieldUtil<CpOrderCU>;
    static get DELAY_TIME(): FieldUtil<CpOrderCU>;
    static get IMG_NAME(): FieldUtil<CpOrderCU>;
    static get IMG_TYPE(): FieldUtil<CpOrderCU>;
    static get IMG_INFO(): FieldUtil<CpOrderCU>;
    static get CAR_TYPE(): FieldUtil<CpOrderCU>;
    static get CAR_STYLE(): FieldUtil<CpOrderCU>;
    static get CURRENCY_CODE(): FieldUtil<CpOrderCU>;
    static get ORDER_TITLE(): FieldUtil<CpOrderCU>;
    static get ORDER_DESC(): FieldUtil<CpOrderCU>;
    static get TRAFFIC_ID(): FieldUtil<CpOrderCU>;
    static get PAY_STATUS(): FieldUtil<CpOrderCU>;
    static get BIZ_STATUS(): FieldUtil<CpOrderCU>;
    static get EXT_JSON(): FieldUtil<CpOrderCU>;
    static get REMARK(): FieldUtil<CpOrderCU>;
    static get STATE(): FieldUtil<CpOrderCU>;
    static get CREATE_TIME(): FieldUtil<CpOrderCU>;
    static get UPDATE_TIME(): FieldUtil<CpOrderCU>;
    static get DEDUCTION_AMOUNT(): FieldUtil<CpOrderCU>;
    static get PAID_AMOUNT(): FieldUtil<CpOrderCU>;
    static get OUT_ORDER_NO(): FieldUtil<CpOrderCU>;
    static get ERROR_INFO(): FieldUtil<CpOrderCU>;
    static get LOT_NAME(): FieldInfo;
    get ID(): FieldUtil<CpOrderCU>;
    get USER_ID(): FieldUtil<CpOrderCU>;
    get ORDER_NO(): FieldUtil<CpOrderCU>;
    get TRADE_ID(): FieldUtil<CpOrderCU>;
    get PARK_ORDER_NO(): FieldUtil<CpOrderCU>;
    get PARK_ID(): FieldUtil<CpOrderCU>;
    get PLATE_NO(): FieldUtil<CpOrderCU>;
    get CARD_NO(): FieldUtil<CpOrderCU>;
    get PARK_NAME(): FieldUtil<CpOrderCU>;
    get ENTRY_TIME(): FieldUtil<CpOrderCU>;
    get PAY_TIME(): FieldUtil<CpOrderCU>;
    get ELAPSED_TIME(): FieldUtil<CpOrderCU>;
    get TOTAL_AMOUNT(): FieldUtil<CpOrderCU>;
    get PAYABLE(): FieldUtil<CpOrderCU>;
    get DELAY_TIME(): FieldUtil<CpOrderCU>;
    get IMG_NAME(): FieldUtil<CpOrderCU>;
    get IMG_TYPE(): FieldUtil<CpOrderCU>;
    get IMG_INFO(): FieldUtil<CpOrderCU>;
    get CAR_TYPE(): FieldUtil<CpOrderCU>;
    get CAR_STYLE(): FieldUtil<CpOrderCU>;
    get CURRENCY_CODE(): FieldUtil<CpOrderCU>;
    get ORDER_TITLE(): FieldUtil<CpOrderCU>;
    get ORDER_DESC(): FieldUtil<CpOrderCU>;
    get TRAFFIC_ID(): FieldUtil<CpOrderCU>;
    get PAY_STATUS(): FieldUtil<CpOrderCU>;
    get BIZ_STATUS(): FieldUtil<CpOrderCU>;
    get EXT_JSON(): FieldUtil<CpOrderCU>;
    get REMARK(): FieldUtil<CpOrderCU>;
    get STATE(): FieldUtil<CpOrderCU>;
    get CREATE_TIME(): FieldUtil<CpOrderCU>;
    get UPDATE_TIME(): FieldUtil<CpOrderCU>;
    get DEDUCTION_AMOUNT(): FieldUtil<CpOrderCU>;
    get PAID_AMOUNT(): FieldUtil<CpOrderCU>;
    get OUT_ORDER_NO(): FieldUtil<CpOrderCU>;
    get ERROR_INFO(): FieldUtil<CpOrderCU>;
    get LOT_NAME(): FieldInfo;
}
export { CpOrderMU, CpOrderCU };
